Package opennlp.tools.formats.ad

# Class ADChunkSampleStream

java.lang.Object
opennlp.tools.formats.ad.ADChunkSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<ChunkSample>`

@Internal public class ADChunkSampleStream extends Object implements ObjectStream<ChunkSample>
Parser for Floresta Sita(c)tica Arvores Deitadas corpus, output to for the Portuguese Chunker training.

The heuristic to extract chunks where based o paper 'A Machine Learning Approach to Portuguese Clause Identification', (Eraldo Fernandes, Cicero Santos and Ruy Milidiú).

Data can be found on this web site.

Information about the format:
Susana Afonso. "Árvores deitadas: Descrição do formato e das opções de análise na Floresta Sintáctica".
12 de Fevereiro de 2006.

Detailed info about the NER tagset.

Note: Do not use this class, internal use only!

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OTHER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADChunkSampleStream(InputStreamFactory in, String charsetName)`
  Instantiates a `ADChunkSampleStream` stream from an `InputStreamFactory`.
  `ADChunkSampleStream(ObjectStream<String> lineStream)`
  Instantiates a `ADChunkSampleStream` stream from `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `static String`
  `convertFuncTag(String t, boolean useCGTags)`
  `ChunkSample`
  `read()`
  Returns the next `ObjectStream` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.
  `void`
  `setEnd(int aEnd)`
  `void`
  `setStart(int aStart)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OTHER

    public static final String OTHER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ADChunkSampleStream

    public ADChunkSampleStream(ObjectStream<String> lineStream)
    Instantiates a `ADChunkSampleStream` stream from `ObjectStream<String>`, that could be a `PlainTextByLineStream` object.
    Parameters:
      `lineStream` - An `ObjectStream<String>` as input.

  - ### ADChunkSampleStream

    public ADChunkSampleStream(InputStreamFactory in, String charsetName) throws IOException
    Instantiates a `ADChunkSampleStream` stream from an `InputStreamFactory`.
    Parameters:
      `in` - The `InputStreamFactory` for the corpus.
      `charsetName` - The `charset` to use for reading of the corpus.
    Throws:
      `IOException`

- ## Method Details

  - ### read

    public ChunkSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<ChunkSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### convertFuncTag

    public static String convertFuncTag(String t, boolean useCGTags)

  - ### setStart

    public void setStart(int aStart)

  - ### setEnd

    public void setEnd(int aEnd)

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<ChunkSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.
      `UnsupportedOperationException` - Thrown if the `reset()` is not supported. By default, this is the case.

  - ### close

    public void close() throws IOException
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<ChunkSample>`
    Throws:
      `IOException` - Thrown if there is an error during closing the stream.